if status is-interactive
    # Commands to run in interactive sessions can go here

    # zellij init for alacritty
    if string match -q -- alacritty $TERM
      set -gx ZELLIJ_AUTO_EXIT true
      eval (zellij setup --generate-auto-start fish | string collect)
    end
    # zellij init for alacritty end

    # starship custom conf
    #set -gx STARSHIP_CONFIG $__fish_config_dir/starship.toml
    # starship custom conf end
    #starship init fish | source

    # set theme
    if string match -q -- light (darkman get)
      fish_config theme choose "Nord Light"
    else
      fish_config theme choose "Nord"
    end
end

# greeting
function fish_greeting
  echo ""
  # changed logo to ascii art so additional fallback is not needed
  fastfetch -c $__fish_config_dir/motds/motd.jsonc
  # in case you are overwhelmed
  fortune -s
  echo -e "\nHellllllo from fish@$TERM, $USER!"
  #cat $__fish_config_dir/motd
end
# greeting end

# pnpm
set -gx PNPM_HOME "$HOME/.local/share/pnpm"
if not string match -q -- $PNPM_HOME $PATH
  set -gx PATH "$PNPM_HOME" $PATH
end
# pnpm end

# nvm managed npm
set -gx PATH "$HOME/.local/share/npm/bin" $PATH

# ssh agent with rbw
set -gx SSH_ASKPASS_REQUIRE prefer
set -gx SSH_ASKPASS "$HOME/.local/bin/rbw-ssh-askpass"

# Created by `pipx` on 2023-10-13 01:41:55
set PATH $PATH $HOME/.local/bin
# pipx end

# >>> mamba initialize >>>
# !! Contents within this block are managed by 'mamba init' !!
set -gx MAMBA_EXE "/usr/bin/micromamba"
set -gx MAMBA_ROOT_PREFIX "$HOME/.local/share/micromamba"
$MAMBA_EXE shell hook --shell fish --root-prefix $MAMBA_ROOT_PREFIX | source
# <<< mamba initialize <<<

# asdf
set -gx ASDF_CONFIG_FILE $XDG_CONFIG_HOME/asdf/asdfrc
set -gx ASDF_DATA_DIR $XDG_DATA_HOME/asdf
set -gx PATH $ASDF_DATA_DIR/shim $PATH
# not needed since it's implemented by the package itself
# source /opt/asdf-vm/asdf.fish
# asdf end

# alias
# some aliases are turned into functions so they are commented out, will be removed soon.
# -- 2025-02-10 --
# alias wget "wget --hsts-file="$XDG_DATA_HOME/wget-hsts""
# alias "yarn" "yarn $1 --use-yarnrc $XDG_CONFIG_HOME/yarn/config"
# if [ $TERM = xterm-kitty ]
#  alias "ssh" "kitten ssh"
# end
# alias "nya" "echo nya && meow"
#
# https://github.com/sharkdp/bat?tab=readme-ov-file#highlighting-theme
# now we get auto themes
# alias bat="bat --theme=\$( test $(darkman get) = 'dark' && echo Nord || echo ansi)"
#
# alias hg="kitten hyperlinked-grep"
# alias end
